> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aegi.run/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aegi.run/_mcp/server.

# Search for an anime by name.

GET https://api.aegi.run/v1/anime/search

Reference: https://docs.aegi.run/api-reference/aegis/anime/search-for-an-anime-by-name

## Authentication

- `Authorization` header (bearer token, required) — Create a key at [https://aegi.run](https://aegi.run), then send it as `Authorization: Bearer aegis.<key>`.

## Request

### Query parameters

- `query` (string, required) — Name of the anime to search for

## Response

### 200

Animes successfully found

- `error` (boolean, required) — Indicates if an error occurred
- `data` (list of V1AnimeSearchGetResponsesContentApplicationJsonSchemaDataItems, required) — List of animes matching the search query
- `requestId` (string, required) — Unique identifier for the request

## Errors

### 400 Bad Request Error

Bad request

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

### 500 Internal Server Error

Internal error

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

## Types

### V1AnimeSearchGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — ID of the anime
- `title` (string, required) — Main title of the anime
- `synopsis` (string, required, nullable) — Short synopsis of the anime
- `episodeCount` (double, required, nullable) — Total number of episodes
- `averageRating` (string, required, nullable) — Average rating percentage
- `status` (string, required, nullable) — Airing status (e.g., current, finished)
- `posterImage` (string, required, nullable) — Cover poster image URL
- `startDate` (string, required, nullable) — Release start date

### ErrorResponseError

- `code` (enum, required)
  - Allowed values: `bad_request`, `unauthorized`, `invalid_api_key`, `api_key_revoked`, `forbidden`, `player_limit`, `not_found`, `method_not_allowed`, `conflict`, `validation_error`, `rate_limited`, `internal_error`, `service_unavailable`
- `message` (string, required)
- `details` (any, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "error": false,
  "data": [
    {
      "id": "1Z8onK",
      "title": "Naruto",
      "synopsis": "Naruto Uzumaki, a mischievous adolescent ninja, struggles as he searches for recognition and dreams of becoming the Hokage, the village's leader and strongest ninja.",
      "episodeCount": 220,
      "averageRating": "79.61",
      "status": "finished",
      "posterImage": "https://media.kitsu.app/anime/poster_images/1Z8onK/large.jpg",
      "startDate": "2002-10-03"
    }
  ],
  "requestId": "req_a3f7c2e1b4d89056"
}
```

**SDK Code**

```python
import requests

url = "https://api.aegi.run/v1/anime/search"

querystring = {"query":"naruto"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.aegi.run/v1/anime/search?query=naruto';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.aegi.run/v1/anime/search?query=naruto"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.aegi.run/v1/anime/search?query=naruto")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.aegi.run/v1/anime/search?query=naruto")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.aegi.run/v1/anime/search?query=naruto', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.aegi.run/v1/anime/search?query=naruto");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.aegi.run/v1/anime/search?query=naruto")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```